MCOOKIE(1)

BEZEICHNUNG
mcookie - magische Cookies für xauth erzeugen

ÜBERSICHT

mcookie [Optionen]

BESCHREIBUNG

mcookie erzeugt eine hexadezimale 128-Bit-Zufallszahl für das X-Hilfsprogramm für die Authentifizierung. Typische Anwendung:

    xauth add :0 . mcookie

Die erzeugte »Zufallszahl« ist tatsächlich die Ausgabe des MD5-Digests mit Zufallsinformationen aus einer der Quellen Systemaufruf getrandom(2), /dev/urandom, /dev/random oder Pseudo-Zufallsfunktionen der Glibc, in dieser Reihenfolge der Präferenz. Siehe auch die Option --file.

OPTIONEN

-f, --file Datei
    verwendet diese Datei als zusätzliche Zufallsquelle (zum Beispiel /dev/urandom). Wenn die Datei als »-« angegeben ist, wird aus der Standardeingabe gelesen.

-m, --max-size Zahl
    liest die Zahl Bytes aus der Datei. Diese Option ist dafür gedacht, zusätzliche Zufallsdaten aus einer Datei oder einem Gerät zu lesen.

    Das Argument für Zahl kann durch die Binärsuffixe KiB=1024, MiB1024*1024 und so weiter für GiB, TiB, PiB und EiB ergänzt werden, wobei das »iB« nicht erforderlich ist. Zum Beispiel ist »K« gleichbedeutend mit »KiB«. Möglich sind außerdem die Dezimalsuffixe KB=1000, MB=1000*1000, GB, PB und EB.

-v, --verbose
    informiert darüber, wo die Zufallsdaten herstammen, und über die aus jeder der Quellen gelesenen Entropie.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

DATEIEN

/dev/urandom

/dev/random

FEHLER

Es wird vorausgesetzt, dass keine der geöffneten Zufallsdatenquellen blockiert.

SIEHE AUCH

md5sum(1), X(7), xauth(1), rand(3)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl mcookie ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.